---
library_name: {library_name}
tags:
- pruna-ai
---

# Model Card for {repo_id}

This model was created using the [pruna](https://github.com/PrunaAI/pruna) library. Pruna is a model optimization framework built for developers, enabling you to deliver more efficient models with minimal implementation overhead.

## Usage

First things first, you need to install the pruna library:

```bash
pip install pruna
```

You can then load this model using the following code:

```python
from pruna import PrunaModel

loaded_model = PrunaModel.from_hub("{repo_id}")
```

After loading the model, you can use the inference methods of the original model.

## Smash Configuration

The compression configuration of the model is stored in the `smash_config.json` file.

```bash
{smash_config}
```

## Model Configuration

The configuration of the model is stored in the `config.json` file.

```bash
{model_config}
```

## 🌍 Join the Pruna AI community!

[![Twitter](https://img.shields.io/twitter/follow/PrunaAI?style=social)](https://twitter.com/PrunaAI)
[![GitHub](https://img.shields.io/github/followers/PrunaAI?label=Follow%20%40PrunaAI&style=social)](https://github.com/PrunaAI)
[![LinkedIn](https://img.shields.io/badge/LinkedIn-Connect-blue)](https://www.linkedin.com/company/93832878/admin/feed/posts/?feedType=following)
[![Discord](https://img.shields.io/badge/Discord-Join%20Us-blue?style=social&logo=discord)](https://discord.com/invite/rskEr4BZJx)
[![Reddit](https://img.shields.io/reddit/subreddit-subscribers/PrunaAI?style=social)](https://www.reddit.com/r/PrunaAI/)